package com.yixin.ms.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.yixin.ms.model.vo.ChooseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;


@ApiModel("第三方接口返回")
@Data
@Accessors(chain = true)
public class ThirdPlatformRespDto {

    //通信信息
    @ApiModelProperty(value = "开门信号 0:开门 1:关门")
    private Integer isOpen = 1;
    @ApiModelProperty(value = "开门方式 default /  RS232")
    private String signalType = "default";
    @ApiModelProperty(value = "次数")
    private Integer openTimes = 1;
    @ApiModelProperty(value = "二进制码")
    private String signalNo;

    //显示信息
    @ApiModelProperty(value = "顶部标题")
    private String mainLine;

    @ApiModelProperty(value = "通行结果")
    private String subLine;

    @ApiModelProperty(value = "左副框上层")
    private String mainLineLeft;
    @ApiModelProperty(value = "左副框下层")
    private String subLineLeft;

    @ApiModelProperty(value = "右副框上层")
    private String mainLineRight;
    @ApiModelProperty(value = "右副框下层")
    private String subLineRight;

    @ApiModelProperty(value = "二维码码值")
    private String qrcodeText;
    @ApiModelProperty(value = "图片地址")
    private String advertise;

    //播报信息
    @ApiModelProperty(value = "语音播报信息")
    private String openVoiceMsg;


    //** ----------------20230726 连续任务响应参数 ------------
    @ApiModelProperty(value = "连续任务状态 pending连续任务/closing(默认)一次任务结束")
    private String status = "closing";

    @ApiModelProperty(value = "终端显示页面类型 common 默认普通 / scenic 景区")
    private String showPageType = "common";

    @ApiModelProperty(value = "任务id 任务状态为pending时必填")
    private String taskId;

    //显示配置
    @ApiModelProperty(value = "背景图地址")
    @JsonProperty("aBackgroundUrl")
    private String aBackgroundUrl;
    @ApiModelProperty(value = "大图标 1-成功 2-警告 3-失败")
    @JsonProperty("aMainIcon")
    private Integer aMainIcon;
    @ApiModelProperty(value = "大图标显示内容")
    @JsonProperty("aMainLine")
    private String aMainLine;

    @ApiModelProperty(value = "中间内容一")
    @JsonProperty("aSubLineFirst")
    private String aSubLineFirst;
    @ApiModelProperty(value = "中间内容二")
    @JsonProperty("aSubLineSecond")
    private String aSubLineSecond;


    @ApiModelProperty(value = "左-标题")
    @JsonProperty("aLineOneLabel")
    private String aLineOneLabel;
    @ApiModelProperty(value = "左-内容")
    @JsonProperty("aLineOneValue")
    private String aLineOneValue;
    @ApiModelProperty(value = "左二标题")
    @JsonProperty("aLineTwoLabel")
    private String aLineTwoLabel;
    @JsonProperty("aLineTwoValue")
    @ApiModelProperty(value = "左二内容")
    private String aLineTwoValue;
    @ApiModelProperty(value = "右一标题")
    @JsonProperty("aLineThrLabel")
    private String aLineThrLabel;
    @ApiModelProperty(value = "右一内容")
    @JsonProperty("aLineThrValue")
    private String aLineThrValue;

    @ApiModelProperty(value = "小背景图地址")
    @JsonProperty("bBackgroundUrl")
    private String bBackgroundUrl;
    @ApiModelProperty(value = "小图标 1-成功 2-警告 3-失败")
    @JsonProperty("bMainIcon")
    private Integer bMainIcon;
    @ApiModelProperty(value = "小图标显示内容")
    @JsonProperty("bMainLine")
    private String bMainLine;
    @ApiModelProperty(value = "小图标下方显示内容")
    @JsonProperty("bSubLine")
    private String bSubLine;

    @ApiModelProperty(value = "选择列表")
    @JsonProperty("bChoiseList")
    private List<ChooseVO> bChoiseList;


}

